This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 428192 - XClip does not support non-ascii characters
XClip does not support non-ascii characters
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xclip (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 15:45 EST by Leo
Modified: 2008-01-15 18:05 EST (History)
0 users

See Also:
Fixed In Version: 0.10-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 17:55:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leo 2008-01-09 15:45:04 EST
Description of problem:

I've been a user of xclip for some time and have just found out that it
does not support any non-ascii characters. For example if you select
some non-ascii characters and then run xclip -o in the shell, you'll get
gibberish output.

For example,

,----[ Text in firefox ]
| « is the popular shorthand
`----

,----[ xclip -o ]
| � is the popular shorthand
`----


Version-Release number of selected component (if applicable):
xclip-0.10-1.fc8

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom "spot" Callaway 2008-01-14 15:56:22 EST
Enabled utf8 mode as the default in xclip-0.10-2.

Thanks for the bugreport.
Comment 2 Leo 2008-01-15 04:09:33 EST
It works. Thanks.
Comment 3 Fedora Update System 2008-01-15 17:55:35 EST
xclip-0.10-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-01-15 18:05:05 EST
xclip-0.10-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.